Package org.gradle.testing.base

## Interface TestSuite

- All Superinterfaces:
    `Named`
  All Known Subinterfaces:
    `JvmTestSuite`

      @Incubating
      public interface TestSuite
      extends Named

  Base test suite component. A test suite is a collection of tests.
  Since:
    7.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtensiblePolymorphicDomainObjectContainer<? extends TestSuiteTarget>` | `getTargets()` | Available targets for this test suite.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getTargets

          ExtensiblePolymorphicDomainObjectContainer<? extends TestSuiteTarget> getTargets()

      Available targets for this test suite.